Package org.apache.sling.installer.api.serializer

# Enum ConfigurationSerializerFactory.Format

java.lang.Object
java.lang.Enum<ConfigurationSerializerFactory.Format>
org.apache.sling.installer.api.serializer.ConfigurationSerializerFactory.Format

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigurationSerializerFactory.Format>`

Enclosing class:
  `ConfigurationSerializerFactory`

public static enum ConfigurationSerializerFactory.Format extends Enum<ConfigurationSerializerFactory.Format>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONFIG`
`JSON`
`PROPERTIES`
`PROPERTIES_XML`

## Method Summary

Modifier and Type
Method
Description
`static ConfigurationSerializerFactory.Format`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConfigurationSerializerFactory.Format[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### JSON

public static final ConfigurationSerializerFactory.Format JSON

### CONFIG

public static final ConfigurationSerializerFactory.Format CONFIG

### PROPERTIES

public static final ConfigurationSerializerFactory.Format PROPERTIES

### PROPERTIES_XML

public static final ConfigurationSerializerFactory.Format PROPERTIES_XML

## Method Details

### values

public static ConfigurationSerializerFactory.Format[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConfigurationSerializerFactory.Format valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null